## org.biojava.bio.seq
Class FeatureFilter.BySource

    java.lang.Object
      org.biojava.bio.seq.FeatureFilter.BySource

All Implemented Interfaces:
  Serializable, FeatureFilter, OptimizableFilter

Enclosing interface:
  FeatureFilter

    public static final class FeatureFilter.BySource

extends Object
implements OptimizableFilter

Construct one of these to filter features by source.

Since:
  1.0
Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter

`FeatureFilter.And, FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySequenceName, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.Not, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.Or, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all, leaf, none, top_level`

Constructor Summary
`FeatureFilter.BySource(String source)` Create a BySource filter that filters in all features which have sources equal to source.

Method Summary
`boolean` `accept(Feature f)` This method determines whether a feature is to be accepted.
`boolean` `equals(Object o)`
`String` `getSource()`
`int` `hashCode()`
`boolean` `isDisjoint(FeatureFilter filt)` Returns true if this filter is disjoint from filt - that is, there is no Feature that is accepted by both filters.
`boolean` `isProperSubset(FeatureFilter sup)` Returns true if this filter is a proper subset of sup - that is, for every feature that matches this, it also matches sup.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureFilter.BySource

    public FeatureFilter.BySource(String source)

  Create a BySource filter that filters in all features which have sources equal to source.

  Parameters:
    `source` - the String to match source fields against

Method Detail

### getSource

    public String getSource()

### accept

    public boolean accept(Feature f)

  Description copied from interface: `FeatureFilter`
  This method determines whether a feature is to be accepted.

  Specified by:
    `accept` in interface `FeatureFilter`
  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### isProperSubset

    public boolean isProperSubset(FeatureFilter sup)

  Description copied from interface: `OptimizableFilter`
  Returns true if this filter is a proper subset of sup - that is, for every feature that matches this, it also matches sup. The empty filter is a proper subset of all filters. All filters are a proper subset of the all filter. All filters are proper subsets of themselves.

  Specified by:
    `isProperSubset` in interface `OptimizableFilter`
  Parameters:
    `sup` - the potential super set
  Returns:
    true if sup contains all features contained by this filter

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isDisjoint

    public boolean isDisjoint(FeatureFilter filt)

  Description copied from interface: `OptimizableFilter`
  Returns true if this filter is disjoint from filt - that is, there is no Feature that is accepted by both filters. The empty filter is disjoint from all other filters. The all filter is disjoint from none.

  Specified by:
    `isDisjoint` in interface `OptimizableFilter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`